Update Template Test

Prev Next
Put
/api/v1/Authoring/projects/{projectId}/template-tests/{testId}

Update an existing template test

Path parameters
projectId
integer (int32) Required

Project containing the template test

testId
integer (int32) Required

Template test to update

Body parameters

Information about the template test

Expand All
OneOf
Configuration.Api.Models.v1.TemplateTestDetailV1
object (Configuration.Api.Models.v1.TemplateTestDetailV1)
testDataSet
object (Common.TemplateTestDataSetV1) Required
testDataSetType
string
Valid values[ "SingleValueScriptNumeric", "KeyValueListScriptNumeric", "ScalarProfileResultNumeric", "ScalarProfileAggregateNumeric", "NumericRange", "NumericValue", "SingleValueScriptString", "KeyValueListScriptString", "StringValue", "SingleValueTestAggregateNumeric", "KeyValueListTestAggregateNumeric", "SingleValueTestAggregateString", "KeyValueListTestAggregateString", "DateRange", "DateValue", "SingleValueScriptDate", "KeyValueListScriptDate", "SingleValueTestAggregateDate", "KeyValueListTestAggregateDate", "SingleValueScriptAutomatic", "KeyValueListScriptAutomatic", "SingleValueTestAggregateAutomatic", "KeyValueListTestAggregateAutomatic", "SingleValueMacroNumeric", "KeyValueListMacroNumeric", "SingleValueMacroString", "KeyValueListMacroString", "SingleValueMacroDate", "KeyValueListMacroDate", "SingleValueMacroAutomatic", "KeyValueListMacroAutomatic", "ScalarProfileResultString", "ScalarProfileResultDate", "ArrayProfileResultNumeric", "ArrayProfileResultString", "ArrayProfileResultDate", "ScalarProfileAggregateString", "ScalarProfileAggregateDate", "ArrayProfileAggregateNumeric", "ArrayProfileAggregateString", "ArrayProfileAggregateDate" ]
dataSource
string | null
metaLinks
Array of object (Common.TemplateDataSetMetaLink)
object
key
string | null
includeForCoverage
boolean
configurationJson
string | null
controlDataSet
object (Common.TemplateTestDataSetV1) Required
testDataSetType
string
Valid values[ "SingleValueScriptNumeric", "KeyValueListScriptNumeric", "ScalarProfileResultNumeric", "ScalarProfileAggregateNumeric", "NumericRange", "NumericValue", "SingleValueScriptString", "KeyValueListScriptString", "StringValue", "SingleValueTestAggregateNumeric", "KeyValueListTestAggregateNumeric", "SingleValueTestAggregateString", "KeyValueListTestAggregateString", "DateRange", "DateValue", "SingleValueScriptDate", "KeyValueListScriptDate", "SingleValueTestAggregateDate", "KeyValueListTestAggregateDate", "SingleValueScriptAutomatic", "KeyValueListScriptAutomatic", "SingleValueTestAggregateAutomatic", "KeyValueListTestAggregateAutomatic", "SingleValueMacroNumeric", "KeyValueListMacroNumeric", "SingleValueMacroString", "KeyValueListMacroString", "SingleValueMacroDate", "KeyValueListMacroDate", "SingleValueMacroAutomatic", "KeyValueListMacroAutomatic", "ScalarProfileResultString", "ScalarProfileResultDate", "ArrayProfileResultNumeric", "ArrayProfileResultString", "ArrayProfileResultDate", "ScalarProfileAggregateString", "ScalarProfileAggregateDate", "ArrayProfileAggregateNumeric", "ArrayProfileAggregateString", "ArrayProfileAggregateDate" ]
dataSource
string | null
metaLinks
Array of object (Common.TemplateDataSetMetaLink)
object
key
string | null
includeForCoverage
boolean
configurationJson
string | null
Configuration.Api.Models.v1.TemplateTestDetailV2
object (Configuration.Api.Models.v1.TemplateTestDetailV2)
testDataSet

Defines the test dataset

OneOf
Configuration.Api.Models.v1.TemplateTestDataSetV2TestScript
object (Configuration.Api.Models.v1.TemplateTestDataSetV2TestScript)
dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Common.TemplateDataSetMetaLink)

The data set's meta links

object
key
string | null
includeForCoverage
boolean
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
columns
Array of object (Common.TemplateDataSetColumn)

The data set's columns

object
name
string | null
sequence
integer (int32) | null
type
string | null
role
string | null
columnJson
string | null

The data set's column JSON

columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

sql
string | null

The SQL script of the dataset

dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

sameAsTestScript
boolean

Whether the control data set is the same as the test data set script

Configuration.Api.Models.v1.TemplateTestDataSetV2TestProfileResult
object (Configuration.Api.Models.v1.TemplateTestDataSetV2TestProfileResult)
dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

profileDef
string | null

The Profile Definition of the dataset; enter "FromMetadata" if definition will be from metadata script or import file

columns
Array of object (Common.TemplateDataSetColumn)

The data set's columns

object
name
string | null
sequence
integer (int32) | null
type
string | null
role
string | null
metaLinks
Array of object (Common.TemplateDataSetMetaLink)

The data set's meta links

object
key
string | null
includeForCoverage
boolean
groupingKeyColumnRole
string
Valid values[ "Key", "Value", "Ignore" ]
valueColumnRole
string
Valid values[ "Key", "Value", "Ignore" ]
Configuration.Api.Models.v1.TemplateTestDataSetV2TestMacro
object (Configuration.Api.Models.v1.TemplateTestDataSetV2TestMacro)
dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

macroReferenceKey
string | null

The data set's macro reference key

metaLinks
Array of object (Common.TemplateDataSetMetaLink)

The data set's meta links

object
key
string | null
includeForCoverage
boolean
columns
Array of object (Common.TemplateDataSetColumn)

The data set's columns

object
name
string | null
sequence
integer (int32) | null
type
string | null
role
string | null
columnJson
string | null

The data set's column JSON

columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

parameters
Array of object (Configuration.Test.DataSetConfigMacroParameter)

List of parameters used by the macro data set

object
parameterId
integer (int32)
parameterValue
string | null
controlDataSet

Defines the control dataset

OneOf
Configuration.Api.Models.v1.TemplateTestDataSetV2ControlScript
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ControlScript)
dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Common.TemplateDataSetMetaLink)

The data set's meta links

object
key
string | null
includeForCoverage
boolean
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
columns
Array of object (Common.TemplateDataSetColumn)

The data set's columns

object
name
string | null
sequence
integer (int32) | null
type
string | null
role
string | null
columnJson
string | null

The data set's column JSON

columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

sql
string | null

The SQL script of the dataset

dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

sameAsTestScript
boolean

Whether the control data set is the same as the test data set script

Configuration.Api.Models.v1.TemplateTestDataSetV2ControlProfileResult
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ControlProfileResult)
dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

profileDef
string | null

The Profile Definition of the dataset; enter "FromMetadata" if definition will be from metadata script or import file

columns
Array of object (Common.TemplateDataSetColumn)

The data set's columns

object
name
string | null
sequence
integer (int32) | null
type
string | null
role
string | null
metaLinks
Array of object (Common.TemplateDataSetMetaLink)

The data set's meta links

object
key
string | null
includeForCoverage
boolean
groupingKeyColumnRole
string
Valid values[ "Key", "Value", "Ignore" ]
valueColumnRole
string
Valid values[ "Key", "Value", "Ignore" ]
Configuration.Api.Models.v1.TemplateTestDataSetV2ControlMacro
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ControlMacro)
dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

macroReferenceKey
string | null

The data set's macro reference key

metaLinks
Array of object (Common.TemplateDataSetMetaLink)

The data set's meta links

object
key
string | null
includeForCoverage
boolean
columns
Array of object (Common.TemplateDataSetColumn)

The data set's columns

object
name
string | null
sequence
integer (int32) | null
type
string | null
role
string | null
columnJson
string | null

The data set's column JSON

columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

parameters
Array of object (Configuration.Test.DataSetConfigMacroParameter)

List of parameters used by the macro data set

object
parameterId
integer (int32)
parameterValue
string | null
Configuration.Api.Models.v1.TemplateTestDataSetV2ControlProfileAggregate
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ControlProfileAggregate)
profileDef
string | null

The Profile Definition of the dataset; enter "FromMetadata" if definition will be from metadata script or import file

aggregate
string
Valid values[ "Average", "Minimum", "Maximum", "FromMetadata" ]
window
string
Valid values[ "Days", "Weeks", "Runs", "FromMetadata" ]
windowSize
string | null

The size of the data set window; enter "FromMetadata" if definition will be from metadata script or import file

columns
Array of object (Common.TemplateDataSetColumn)

The data set's columns

object
name
string | null
sequence
integer (int32) | null
type
string | null
role
string | null
metaLinks
Array of object (Common.TemplateDataSetMetaLink)

The data set's meta links

object
key
string | null
includeForCoverage
boolean
groupingKeyColumnRole
string
Valid values[ "Key", "Value", "Ignore" ]
valueColumnRole
string
Valid values[ "Key", "Value", "Ignore" ]
Configuration.Api.Models.v1.TemplateTestDataSetV2ControlDateTimeValue
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ControlDateTimeValue)
valueType
string
Valid values[ "Absolute", "Relative", "FromMetadata" ]
columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
timeZoneKey
string | null

The time zone key of the data set; enter "FromMetadata" if value will be from metadata script or import file

relativeTargetPeriod
string
Valid values[ "CurrentDate", "FromMetadata" ]
targetValue
string | null

The target value of the data set; enter "FromMetadata" if value will be from metadata script or import file

Configuration.Api.Models.v1.TemplateTestDataSetV2ControlStringValue
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ControlStringValue)
targetValue
string | null

The target value of the data set; enter "FromMetadata" if value will be from metadata script or import file

ignoreWhitespace
boolean

Whethe the string comparison ignores whitespace characters

Configuration.Api.Models.v1.TemplateTestDataSetV2ControlNumericValue
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ControlNumericValue)
targetValue
string | null

The target value of the data set; enter "FromMetadata" if value will be from metadata script or import file

Configuration.Api.Models.v1.TemplateTestDataSetV2ControlNumericRange
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ControlNumericRange)
minValue
string | null

The minimum value of the numeric range; enter "FromMetadata" if value will be from metadata script or import file

maxValue
string | null

The maximum value of the numeric range; enter "FromMetadata" if value will be from metadata script or import file

Configuration.Api.Models.v1.TemplateTestDataSetV2ControlDateTimeRange
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ControlDateTimeRange)
rangeType
string
Valid values[ "Absolute", "Relative", "FromMetadata" ]
columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
timeZoneKey
string | null

The time zone key of the data set; enter "FromMetadata" if value will be from metadata script or import file

minRelativePeriod
string | null

The minimum relative period of the data set; enter "FromMetadata" if value will be from metadata script or import file

maxRelativePeriod
string | null

The maximum relative period of the data set; enter "FromMetadata" if value will be from metadata script or import file

minRelativeOffset
string | null

The minimum relative offset of the data set; enter "FromMetadata" if value will be from metadata script or import file

maxRelativeOffset
string | null

The maximum relative offset of the data set; enter "FromMetadata" if value will be from metadata script or import file

minAbsoluteValue
string | null

The minimum absolute value of the data set; enter "FromMetadata" if value will be from metadata script or import file

maxAbsoluteValue
string | null

The maximum absolute value of the data set; enter "FromMetadata" if value will be from metadata script or import file

Configuration.Api.Models.v1.TemplateTestDataSetV2ControlTestAggregate
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ControlTestAggregate)
aggregate
string
Valid values[ "Average", "Minimum", "Maximum", "FromMetadata" ]
window
string
Valid values[ "Days", "Weeks", "Runs", "FromMetadata" ]
windowSize
string | null

The window size of the dataset; enter "FromMetadata" if definition will be from metadata script or import file

includePriorVersions
boolean

Whether the dataset includes prior versions

isScalar
boolean

Whether the data set is scalar

qualityScoreCalculation
string | null

Custom quality score calculation; enter "FromMetadata" if number will be set by metadata script or import file

qualityScoreMethod
string
Valid values[ "AllOrNothing", "Proportional", "ProportionalWithPassOverride", "CustomCalculation", "FromMetadata" ]
columnMappingJson
string | null

JSON of custom column mapping between the test and control datasets

testDataSetColumnMappingMethod
string
Valid values[ "Automatic", "Manual" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetColumnSelection
string
Valid values[ "Name", "Position" ]
Expand All
OneOf
Configuration.Api.Models.v1.TemplateTestDetailV1
object (Configuration.Api.Models.v1.TemplateTestDetailV1)
testDataSet
object (Common.TemplateTestDataSetV1) Required
testDataSetType
string
Valid values[ "SingleValueScriptNumeric", "KeyValueListScriptNumeric", "ScalarProfileResultNumeric", "ScalarProfileAggregateNumeric", "NumericRange", "NumericValue", "SingleValueScriptString", "KeyValueListScriptString", "StringValue", "SingleValueTestAggregateNumeric", "KeyValueListTestAggregateNumeric", "SingleValueTestAggregateString", "KeyValueListTestAggregateString", "DateRange", "DateValue", "SingleValueScriptDate", "KeyValueListScriptDate", "SingleValueTestAggregateDate", "KeyValueListTestAggregateDate", "SingleValueScriptAutomatic", "KeyValueListScriptAutomatic", "SingleValueTestAggregateAutomatic", "KeyValueListTestAggregateAutomatic", "SingleValueMacroNumeric", "KeyValueListMacroNumeric", "SingleValueMacroString", "KeyValueListMacroString", "SingleValueMacroDate", "KeyValueListMacroDate", "SingleValueMacroAutomatic", "KeyValueListMacroAutomatic", "ScalarProfileResultString", "ScalarProfileResultDate", "ArrayProfileResultNumeric", "ArrayProfileResultString", "ArrayProfileResultDate", "ScalarProfileAggregateString", "ScalarProfileAggregateDate", "ArrayProfileAggregateNumeric", "ArrayProfileAggregateString", "ArrayProfileAggregateDate" ]
dataSource
string | null
metaLinks
Array of object (Common.TemplateDataSetMetaLink)
object
key
string | null
includeForCoverage
boolean
configurationJson
string | null
controlDataSet
object (Common.TemplateTestDataSetV1) Required
testDataSetType
string
Valid values[ "SingleValueScriptNumeric", "KeyValueListScriptNumeric", "ScalarProfileResultNumeric", "ScalarProfileAggregateNumeric", "NumericRange", "NumericValue", "SingleValueScriptString", "KeyValueListScriptString", "StringValue", "SingleValueTestAggregateNumeric", "KeyValueListTestAggregateNumeric", "SingleValueTestAggregateString", "KeyValueListTestAggregateString", "DateRange", "DateValue", "SingleValueScriptDate", "KeyValueListScriptDate", "SingleValueTestAggregateDate", "KeyValueListTestAggregateDate", "SingleValueScriptAutomatic", "KeyValueListScriptAutomatic", "SingleValueTestAggregateAutomatic", "KeyValueListTestAggregateAutomatic", "SingleValueMacroNumeric", "KeyValueListMacroNumeric", "SingleValueMacroString", "KeyValueListMacroString", "SingleValueMacroDate", "KeyValueListMacroDate", "SingleValueMacroAutomatic", "KeyValueListMacroAutomatic", "ScalarProfileResultString", "ScalarProfileResultDate", "ArrayProfileResultNumeric", "ArrayProfileResultString", "ArrayProfileResultDate", "ScalarProfileAggregateString", "ScalarProfileAggregateDate", "ArrayProfileAggregateNumeric", "ArrayProfileAggregateString", "ArrayProfileAggregateDate" ]
dataSource
string | null
metaLinks
Array of object (Common.TemplateDataSetMetaLink)
object
key
string | null
includeForCoverage
boolean
configurationJson
string | null
Configuration.Api.Models.v1.TemplateTestDetailV2
object (Configuration.Api.Models.v1.TemplateTestDetailV2)
testDataSet

Defines the test dataset

OneOf
Configuration.Api.Models.v1.TemplateTestDataSetV2TestScript
object (Configuration.Api.Models.v1.TemplateTestDataSetV2TestScript)
dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Common.TemplateDataSetMetaLink)

The data set's meta links

object
key
string | null
includeForCoverage
boolean
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
columns
Array of object (Common.TemplateDataSetColumn)

The data set's columns

object
name
string | null
sequence
integer (int32) | null
type
string | null
role
string | null
columnJson
string | null

The data set's column JSON

columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

sql
string | null

The SQL script of the dataset

dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

sameAsTestScript
boolean

Whether the control data set is the same as the test data set script

Configuration.Api.Models.v1.TemplateTestDataSetV2TestProfileResult
object (Configuration.Api.Models.v1.TemplateTestDataSetV2TestProfileResult)
dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

profileDef
string | null

The Profile Definition of the dataset; enter "FromMetadata" if definition will be from metadata script or import file

columns
Array of object (Common.TemplateDataSetColumn)

The data set's columns

object
name
string | null
sequence
integer (int32) | null
type
string | null
role
string | null
metaLinks
Array of object (Common.TemplateDataSetMetaLink)

The data set's meta links

object
key
string | null
includeForCoverage
boolean
groupingKeyColumnRole
string
Valid values[ "Key", "Value", "Ignore" ]
valueColumnRole
string
Valid values[ "Key", "Value", "Ignore" ]
Configuration.Api.Models.v1.TemplateTestDataSetV2TestMacro
object (Configuration.Api.Models.v1.TemplateTestDataSetV2TestMacro)
dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

macroReferenceKey
string | null

The data set's macro reference key

metaLinks
Array of object (Common.TemplateDataSetMetaLink)

The data set's meta links

object
key
string | null
includeForCoverage
boolean
columns
Array of object (Common.TemplateDataSetColumn)

The data set's columns

object
name
string | null
sequence
integer (int32) | null
type
string | null
role
string | null
columnJson
string | null

The data set's column JSON

columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

parameters
Array of object (Configuration.Test.DataSetConfigMacroParameter)

List of parameters used by the macro data set

object
parameterId
integer (int32)
parameterValue
string | null
controlDataSet

Defines the control dataset

OneOf
Configuration.Api.Models.v1.TemplateTestDataSetV2ControlScript
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ControlScript)
dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Common.TemplateDataSetMetaLink)

The data set's meta links

object
key
string | null
includeForCoverage
boolean
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
columns
Array of object (Common.TemplateDataSetColumn)

The data set's columns

object
name
string | null
sequence
integer (int32) | null
type
string | null
role
string | null
columnJson
string | null

The data set's column JSON

columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

sql
string | null

The SQL script of the dataset

dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

sameAsTestScript
boolean

Whether the control data set is the same as the test data set script

Configuration.Api.Models.v1.TemplateTestDataSetV2ControlProfileResult
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ControlProfileResult)
dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

profileDef
string | null

The Profile Definition of the dataset; enter "FromMetadata" if definition will be from metadata script or import file

columns
Array of object (Common.TemplateDataSetColumn)

The data set's columns

object
name
string | null
sequence
integer (int32) | null
type
string | null
role
string | null
metaLinks
Array of object (Common.TemplateDataSetMetaLink)

The data set's meta links

object
key
string | null
includeForCoverage
boolean
groupingKeyColumnRole
string
Valid values[ "Key", "Value", "Ignore" ]
valueColumnRole
string
Valid values[ "Key", "Value", "Ignore" ]
Configuration.Api.Models.v1.TemplateTestDataSetV2ControlMacro
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ControlMacro)
dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

macroReferenceKey
string | null

The data set's macro reference key

metaLinks
Array of object (Common.TemplateDataSetMetaLink)

The data set's meta links

object
key
string | null
includeForCoverage
boolean
columns
Array of object (Common.TemplateDataSetColumn)

The data set's columns

object
name
string | null
sequence
integer (int32) | null
type
string | null
role
string | null
columnJson
string | null

The data set's column JSON

columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

parameters
Array of object (Configuration.Test.DataSetConfigMacroParameter)

List of parameters used by the macro data set

object
parameterId
integer (int32)
parameterValue
string | null
Configuration.Api.Models.v1.TemplateTestDataSetV2ControlProfileAggregate
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ControlProfileAggregate)
profileDef
string | null

The Profile Definition of the dataset; enter "FromMetadata" if definition will be from metadata script or import file

aggregate
string
Valid values[ "Average", "Minimum", "Maximum", "FromMetadata" ]
window
string
Valid values[ "Days", "Weeks", "Runs", "FromMetadata" ]
windowSize
string | null

The size of the data set window; enter "FromMetadata" if definition will be from metadata script or import file

columns
Array of object (Common.TemplateDataSetColumn)

The data set's columns

object
name
string | null
sequence
integer (int32) | null
type
string | null
role
string | null
metaLinks
Array of object (Common.TemplateDataSetMetaLink)

The data set's meta links

object
key
string | null
includeForCoverage
boolean
groupingKeyColumnRole
string
Valid values[ "Key", "Value", "Ignore" ]
valueColumnRole
string
Valid values[ "Key", "Value", "Ignore" ]
Configuration.Api.Models.v1.TemplateTestDataSetV2ControlDateTimeValue
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ControlDateTimeValue)
valueType
string
Valid values[ "Absolute", "Relative", "FromMetadata" ]
columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
timeZoneKey
string | null

The time zone key of the data set; enter "FromMetadata" if value will be from metadata script or import file

relativeTargetPeriod
string
Valid values[ "CurrentDate", "FromMetadata" ]
targetValue
string | null

The target value of the data set; enter "FromMetadata" if value will be from metadata script or import file

Configuration.Api.Models.v1.TemplateTestDataSetV2ControlStringValue
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ControlStringValue)
targetValue
string | null

The target value of the data set; enter "FromMetadata" if value will be from metadata script or import file

ignoreWhitespace
boolean

Whethe the string comparison ignores whitespace characters

Configuration.Api.Models.v1.TemplateTestDataSetV2ControlNumericValue
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ControlNumericValue)
targetValue
string | null

The target value of the data set; enter "FromMetadata" if value will be from metadata script or import file

Configuration.Api.Models.v1.TemplateTestDataSetV2ControlNumericRange
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ControlNumericRange)
minValue
string | null

The minimum value of the numeric range; enter "FromMetadata" if value will be from metadata script or import file

maxValue
string | null

The maximum value of the numeric range; enter "FromMetadata" if value will be from metadata script or import file

Configuration.Api.Models.v1.TemplateTestDataSetV2ControlDateTimeRange
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ControlDateTimeRange)
rangeType
string
Valid values[ "Absolute", "Relative", "FromMetadata" ]
columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
timeZoneKey
string | null

The time zone key of the data set; enter "FromMetadata" if value will be from metadata script or import file

minRelativePeriod
string | null

The minimum relative period of the data set; enter "FromMetadata" if value will be from metadata script or import file

maxRelativePeriod
string | null

The maximum relative period of the data set; enter "FromMetadata" if value will be from metadata script or import file

minRelativeOffset
string | null

The minimum relative offset of the data set; enter "FromMetadata" if value will be from metadata script or import file

maxRelativeOffset
string | null

The maximum relative offset of the data set; enter "FromMetadata" if value will be from metadata script or import file

minAbsoluteValue
string | null

The minimum absolute value of the data set; enter "FromMetadata" if value will be from metadata script or import file

maxAbsoluteValue
string | null

The maximum absolute value of the data set; enter "FromMetadata" if value will be from metadata script or import file

Configuration.Api.Models.v1.TemplateTestDataSetV2ControlTestAggregate
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ControlTestAggregate)
aggregate
string
Valid values[ "Average", "Minimum", "Maximum", "FromMetadata" ]
window
string
Valid values[ "Days", "Weeks", "Runs", "FromMetadata" ]
windowSize
string | null

The window size of the dataset; enter "FromMetadata" if definition will be from metadata script or import file

includePriorVersions
boolean

Whether the dataset includes prior versions

isScalar
boolean

Whether the data set is scalar

qualityScoreCalculation
string | null

Custom quality score calculation; enter "FromMetadata" if number will be set by metadata script or import file

qualityScoreMethod
string
Valid values[ "AllOrNothing", "Proportional", "ProportionalWithPassOverride", "CustomCalculation", "FromMetadata" ]
columnMappingJson
string | null

JSON of custom column mapping between the test and control datasets

testDataSetColumnMappingMethod
string
Valid values[ "Automatic", "Manual" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetColumnSelection
string
Valid values[ "Name", "Position" ]
Expand All
OneOf
Configuration.Api.Models.v1.TemplateTestDetailV1
object (Configuration.Api.Models.v1.TemplateTestDetailV1)
testDataSet
object (Common.TemplateTestDataSetV1) Required
testDataSetType
string
Valid values[ "SingleValueScriptNumeric", "KeyValueListScriptNumeric", "ScalarProfileResultNumeric", "ScalarProfileAggregateNumeric", "NumericRange", "NumericValue", "SingleValueScriptString", "KeyValueListScriptString", "StringValue", "SingleValueTestAggregateNumeric", "KeyValueListTestAggregateNumeric", "SingleValueTestAggregateString", "KeyValueListTestAggregateString", "DateRange", "DateValue", "SingleValueScriptDate", "KeyValueListScriptDate", "SingleValueTestAggregateDate", "KeyValueListTestAggregateDate", "SingleValueScriptAutomatic", "KeyValueListScriptAutomatic", "SingleValueTestAggregateAutomatic", "KeyValueListTestAggregateAutomatic", "SingleValueMacroNumeric", "KeyValueListMacroNumeric", "SingleValueMacroString", "KeyValueListMacroString", "SingleValueMacroDate", "KeyValueListMacroDate", "SingleValueMacroAutomatic", "KeyValueListMacroAutomatic", "ScalarProfileResultString", "ScalarProfileResultDate", "ArrayProfileResultNumeric", "ArrayProfileResultString", "ArrayProfileResultDate", "ScalarProfileAggregateString", "ScalarProfileAggregateDate", "ArrayProfileAggregateNumeric", "ArrayProfileAggregateString", "ArrayProfileAggregateDate" ]
dataSource
string | null
metaLinks
Array of object (Common.TemplateDataSetMetaLink)
object
key
string | null
includeForCoverage
boolean
configurationJson
string | null
controlDataSet
object (Common.TemplateTestDataSetV1) Required
testDataSetType
string
Valid values[ "SingleValueScriptNumeric", "KeyValueListScriptNumeric", "ScalarProfileResultNumeric", "ScalarProfileAggregateNumeric", "NumericRange", "NumericValue", "SingleValueScriptString", "KeyValueListScriptString", "StringValue", "SingleValueTestAggregateNumeric", "KeyValueListTestAggregateNumeric", "SingleValueTestAggregateString", "KeyValueListTestAggregateString", "DateRange", "DateValue", "SingleValueScriptDate", "KeyValueListScriptDate", "SingleValueTestAggregateDate", "KeyValueListTestAggregateDate", "SingleValueScriptAutomatic", "KeyValueListScriptAutomatic", "SingleValueTestAggregateAutomatic", "KeyValueListTestAggregateAutomatic", "SingleValueMacroNumeric", "KeyValueListMacroNumeric", "SingleValueMacroString", "KeyValueListMacroString", "SingleValueMacroDate", "KeyValueListMacroDate", "SingleValueMacroAutomatic", "KeyValueListMacroAutomatic", "ScalarProfileResultString", "ScalarProfileResultDate", "ArrayProfileResultNumeric", "ArrayProfileResultString", "ArrayProfileResultDate", "ScalarProfileAggregateString", "ScalarProfileAggregateDate", "ArrayProfileAggregateNumeric", "ArrayProfileAggregateString", "ArrayProfileAggregateDate" ]
dataSource
string | null
metaLinks
Array of object (Common.TemplateDataSetMetaLink)
object
key
string | null
includeForCoverage
boolean
configurationJson
string | null
Configuration.Api.Models.v1.TemplateTestDetailV2
object (Configuration.Api.Models.v1.TemplateTestDetailV2)
testDataSet

Defines the test dataset

OneOf
Configuration.Api.Models.v1.TemplateTestDataSetV2TestScript
object (Configuration.Api.Models.v1.TemplateTestDataSetV2TestScript)
dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Common.TemplateDataSetMetaLink)

The data set's meta links

object
key
string | null
includeForCoverage
boolean
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
columns
Array of object (Common.TemplateDataSetColumn)

The data set's columns

object
name
string | null
sequence
integer (int32) | null
type
string | null
role
string | null
columnJson
string | null

The data set's column JSON

columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

sql
string | null

The SQL script of the dataset

dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

sameAsTestScript
boolean

Whether the control data set is the same as the test data set script

Configuration.Api.Models.v1.TemplateTestDataSetV2TestProfileResult
object (Configuration.Api.Models.v1.TemplateTestDataSetV2TestProfileResult)
dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

profileDef
string | null

The Profile Definition of the dataset; enter "FromMetadata" if definition will be from metadata script or import file

columns
Array of object (Common.TemplateDataSetColumn)

The data set's columns

object
name
string | null
sequence
integer (int32) | null
type
string | null
role
string | null
metaLinks
Array of object (Common.TemplateDataSetMetaLink)

The data set's meta links

object
key
string | null
includeForCoverage
boolean
groupingKeyColumnRole
string
Valid values[ "Key", "Value", "Ignore" ]
valueColumnRole
string
Valid values[ "Key", "Value", "Ignore" ]
Configuration.Api.Models.v1.TemplateTestDataSetV2TestMacro
object (Configuration.Api.Models.v1.TemplateTestDataSetV2TestMacro)
dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

macroReferenceKey
string | null

The data set's macro reference key

metaLinks
Array of object (Common.TemplateDataSetMetaLink)

The data set's meta links

object
key
string | null
includeForCoverage
boolean
columns
Array of object (Common.TemplateDataSetColumn)

The data set's columns

object
name
string | null
sequence
integer (int32) | null
type
string | null
role
string | null
columnJson
string | null

The data set's column JSON

columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

parameters
Array of object (Configuration.Test.DataSetConfigMacroParameter)

List of parameters used by the macro data set

object
parameterId
integer (int32)
parameterValue
string | null
controlDataSet

Defines the control dataset

OneOf
Configuration.Api.Models.v1.TemplateTestDataSetV2ControlScript
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ControlScript)
dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Common.TemplateDataSetMetaLink)

The data set's meta links

object
key
string | null
includeForCoverage
boolean
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
columns
Array of object (Common.TemplateDataSetColumn)

The data set's columns

object
name
string | null
sequence
integer (int32) | null
type
string | null
role
string | null
columnJson
string | null

The data set's column JSON

columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

sql
string | null

The SQL script of the dataset

dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

sameAsTestScript
boolean

Whether the control data set is the same as the test data set script

Configuration.Api.Models.v1.TemplateTestDataSetV2ControlProfileResult
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ControlProfileResult)
dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

profileDef
string | null

The Profile Definition of the dataset; enter "FromMetadata" if definition will be from metadata script or import file

columns
Array of object (Common.TemplateDataSetColumn)

The data set's columns

object
name
string | null
sequence
integer (int32) | null
type
string | null
role
string | null
metaLinks
Array of object (Common.TemplateDataSetMetaLink)

The data set's meta links

object
key
string | null
includeForCoverage
boolean
groupingKeyColumnRole
string
Valid values[ "Key", "Value", "Ignore" ]
valueColumnRole
string
Valid values[ "Key", "Value", "Ignore" ]
Configuration.Api.Models.v1.TemplateTestDataSetV2ControlMacro
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ControlMacro)
dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

macroReferenceKey
string | null

The data set's macro reference key

metaLinks
Array of object (Common.TemplateDataSetMetaLink)

The data set's meta links

object
key
string | null
includeForCoverage
boolean
columns
Array of object (Common.TemplateDataSetColumn)

The data set's columns

object
name
string | null
sequence
integer (int32) | null
type
string | null
role
string | null
columnJson
string | null

The data set's column JSON

columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

parameters
Array of object (Configuration.Test.DataSetConfigMacroParameter)

List of parameters used by the macro data set

object
parameterId
integer (int32)
parameterValue
string | null
Configuration.Api.Models.v1.TemplateTestDataSetV2ControlProfileAggregate
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ControlProfileAggregate)
profileDef
string | null

The Profile Definition of the dataset; enter "FromMetadata" if definition will be from metadata script or import file

aggregate
string
Valid values[ "Average", "Minimum", "Maximum", "FromMetadata" ]
window
string
Valid values[ "Days", "Weeks", "Runs", "FromMetadata" ]
windowSize
string | null

The size of the data set window; enter "FromMetadata" if definition will be from metadata script or import file

columns
Array of object (Common.TemplateDataSetColumn)

The data set's columns

object
name
string | null
sequence
integer (int32) | null
type
string | null
role
string | null
metaLinks
Array of object (Common.TemplateDataSetMetaLink)

The data set's meta links

object
key
string | null
includeForCoverage
boolean
groupingKeyColumnRole
string
Valid values[ "Key", "Value", "Ignore" ]
valueColumnRole
string
Valid values[ "Key", "Value", "Ignore" ]
Configuration.Api.Models.v1.TemplateTestDataSetV2ControlDateTimeValue
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ControlDateTimeValue)
valueType
string
Valid values[ "Absolute", "Relative", "FromMetadata" ]
columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
timeZoneKey
string | null

The time zone key of the data set; enter "FromMetadata" if value will be from metadata script or import file

relativeTargetPeriod
string
Valid values[ "CurrentDate", "FromMetadata" ]
targetValue
string | null

The target value of the data set; enter "FromMetadata" if value will be from metadata script or import file

Configuration.Api.Models.v1.TemplateTestDataSetV2ControlStringValue
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ControlStringValue)
targetValue
string | null

The target value of the data set; enter "FromMetadata" if value will be from metadata script or import file

ignoreWhitespace
boolean

Whethe the string comparison ignores whitespace characters

Configuration.Api.Models.v1.TemplateTestDataSetV2ControlNumericValue
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ControlNumericValue)
targetValue
string | null

The target value of the data set; enter "FromMetadata" if value will be from metadata script or import file

Configuration.Api.Models.v1.TemplateTestDataSetV2ControlNumericRange
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ControlNumericRange)
minValue
string | null

The minimum value of the numeric range; enter "FromMetadata" if value will be from metadata script or import file

maxValue
string | null

The maximum value of the numeric range; enter "FromMetadata" if value will be from metadata script or import file

Configuration.Api.Models.v1.TemplateTestDataSetV2ControlDateTimeRange
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ControlDateTimeRange)
rangeType
string
Valid values[ "Absolute", "Relative", "FromMetadata" ]
columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
timeZoneKey
string | null

The time zone key of the data set; enter "FromMetadata" if value will be from metadata script or import file

minRelativePeriod
string | null

The minimum relative period of the data set; enter "FromMetadata" if value will be from metadata script or import file

maxRelativePeriod
string | null

The maximum relative period of the data set; enter "FromMetadata" if value will be from metadata script or import file

minRelativeOffset
string | null

The minimum relative offset of the data set; enter "FromMetadata" if value will be from metadata script or import file

maxRelativeOffset
string | null

The maximum relative offset of the data set; enter "FromMetadata" if value will be from metadata script or import file

minAbsoluteValue
string | null

The minimum absolute value of the data set; enter "FromMetadata" if value will be from metadata script or import file

maxAbsoluteValue
string | null

The maximum absolute value of the data set; enter "FromMetadata" if value will be from metadata script or import file

Configuration.Api.Models.v1.TemplateTestDataSetV2ControlTestAggregate
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ControlTestAggregate)
aggregate
string
Valid values[ "Average", "Minimum", "Maximum", "FromMetadata" ]
window
string
Valid values[ "Days", "Weeks", "Runs", "FromMetadata" ]
windowSize
string | null

The window size of the dataset; enter "FromMetadata" if definition will be from metadata script or import file

includePriorVersions
boolean

Whether the dataset includes prior versions

isScalar
boolean

Whether the data set is scalar

qualityScoreCalculation
string | null

Custom quality score calculation; enter "FromMetadata" if number will be set by metadata script or import file

qualityScoreMethod
string
Valid values[ "AllOrNothing", "Proportional", "ProportionalWithPassOverride", "CustomCalculation", "FromMetadata" ]
columnMappingJson
string | null

JSON of custom column mapping between the test and control datasets

testDataSetColumnMappingMethod
string
Valid values[ "Automatic", "Manual" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetColumnSelection
string
Valid values[ "Name", "Position" ]
Expand All
OneOf
Configuration.Api.Models.v1.TemplateTestDetailV1
object (Configuration.Api.Models.v1.TemplateTestDetailV1)
testDataSet
object (Common.TemplateTestDataSetV1) Required
testDataSetType
string
Valid values[ "SingleValueScriptNumeric", "KeyValueListScriptNumeric", "ScalarProfileResultNumeric", "ScalarProfileAggregateNumeric", "NumericRange", "NumericValue", "SingleValueScriptString", "KeyValueListScriptString", "StringValue", "SingleValueTestAggregateNumeric", "KeyValueListTestAggregateNumeric", "SingleValueTestAggregateString", "KeyValueListTestAggregateString", "DateRange", "DateValue", "SingleValueScriptDate", "KeyValueListScriptDate", "SingleValueTestAggregateDate", "KeyValueListTestAggregateDate", "SingleValueScriptAutomatic", "KeyValueListScriptAutomatic", "SingleValueTestAggregateAutomatic", "KeyValueListTestAggregateAutomatic", "SingleValueMacroNumeric", "KeyValueListMacroNumeric", "SingleValueMacroString", "KeyValueListMacroString", "SingleValueMacroDate", "KeyValueListMacroDate", "SingleValueMacroAutomatic", "KeyValueListMacroAutomatic", "ScalarProfileResultString", "ScalarProfileResultDate", "ArrayProfileResultNumeric", "ArrayProfileResultString", "ArrayProfileResultDate", "ScalarProfileAggregateString", "ScalarProfileAggregateDate", "ArrayProfileAggregateNumeric", "ArrayProfileAggregateString", "ArrayProfileAggregateDate" ]
dataSource
string | null
metaLinks
Array of object (Common.TemplateDataSetMetaLink)
object
key
string | null
includeForCoverage
boolean
configurationJson
string | null
controlDataSet
object (Common.TemplateTestDataSetV1) Required
testDataSetType
string
Valid values[ "SingleValueScriptNumeric", "KeyValueListScriptNumeric", "ScalarProfileResultNumeric", "ScalarProfileAggregateNumeric", "NumericRange", "NumericValue", "SingleValueScriptString", "KeyValueListScriptString", "StringValue", "SingleValueTestAggregateNumeric", "KeyValueListTestAggregateNumeric", "SingleValueTestAggregateString", "KeyValueListTestAggregateString", "DateRange", "DateValue", "SingleValueScriptDate", "KeyValueListScriptDate", "SingleValueTestAggregateDate", "KeyValueListTestAggregateDate", "SingleValueScriptAutomatic", "KeyValueListScriptAutomatic", "SingleValueTestAggregateAutomatic", "KeyValueListTestAggregateAutomatic", "SingleValueMacroNumeric", "KeyValueListMacroNumeric", "SingleValueMacroString", "KeyValueListMacroString", "SingleValueMacroDate", "KeyValueListMacroDate", "SingleValueMacroAutomatic", "KeyValueListMacroAutomatic", "ScalarProfileResultString", "ScalarProfileResultDate", "ArrayProfileResultNumeric", "ArrayProfileResultString", "ArrayProfileResultDate", "ScalarProfileAggregateString", "ScalarProfileAggregateDate", "ArrayProfileAggregateNumeric", "ArrayProfileAggregateString", "ArrayProfileAggregateDate" ]
dataSource
string | null
metaLinks
Array of object (Common.TemplateDataSetMetaLink)
object
key
string | null
includeForCoverage
boolean
configurationJson
string | null
Configuration.Api.Models.v1.TemplateTestDetailV2
object (Configuration.Api.Models.v1.TemplateTestDetailV2)
testDataSet

Defines the test dataset

OneOf
Configuration.Api.Models.v1.TemplateTestDataSetV2TestScript
object (Configuration.Api.Models.v1.TemplateTestDataSetV2TestScript)
dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Common.TemplateDataSetMetaLink)

The data set's meta links

object
key
string | null
includeForCoverage
boolean
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
columns
Array of object (Common.TemplateDataSetColumn)

The data set's columns

object
name
string | null
sequence
integer (int32) | null
type
string | null
role
string | null
columnJson
string | null

The data set's column JSON

columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

sql
string | null

The SQL script of the dataset

dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

sameAsTestScript
boolean

Whether the control data set is the same as the test data set script

Configuration.Api.Models.v1.TemplateTestDataSetV2TestProfileResult
object (Configuration.Api.Models.v1.TemplateTestDataSetV2TestProfileResult)
dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

profileDef
string | null

The Profile Definition of the dataset; enter "FromMetadata" if definition will be from metadata script or import file

columns
Array of object (Common.TemplateDataSetColumn)

The data set's columns

object
name
string | null
sequence
integer (int32) | null
type
string | null
role
string | null
metaLinks
Array of object (Common.TemplateDataSetMetaLink)

The data set's meta links

object
key
string | null
includeForCoverage
boolean
groupingKeyColumnRole
string
Valid values[ "Key", "Value", "Ignore" ]
valueColumnRole
string
Valid values[ "Key", "Value", "Ignore" ]
Configuration.Api.Models.v1.TemplateTestDataSetV2TestMacro
object (Configuration.Api.Models.v1.TemplateTestDataSetV2TestMacro)
dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

macroReferenceKey
string | null

The data set's macro reference key

metaLinks
Array of object (Common.TemplateDataSetMetaLink)

The data set's meta links

object
key
string | null
includeForCoverage
boolean
columns
Array of object (Common.TemplateDataSetColumn)

The data set's columns

object
name
string | null
sequence
integer (int32) | null
type
string | null
role
string | null
columnJson
string | null

The data set's column JSON

columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

parameters
Array of object (Configuration.Test.DataSetConfigMacroParameter)

List of parameters used by the macro data set

object
parameterId
integer (int32)
parameterValue
string | null
controlDataSet

Defines the control dataset

OneOf
Configuration.Api.Models.v1.TemplateTestDataSetV2ControlScript
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ControlScript)
dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Common.TemplateDataSetMetaLink)

The data set's meta links

object
key
string | null
includeForCoverage
boolean
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
columns
Array of object (Common.TemplateDataSetColumn)

The data set's columns

object
name
string | null
sequence
integer (int32) | null
type
string | null
role
string | null
columnJson
string | null

The data set's column JSON

columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

sql
string | null

The SQL script of the dataset

dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

sameAsTestScript
boolean

Whether the control data set is the same as the test data set script

Configuration.Api.Models.v1.TemplateTestDataSetV2ControlProfileResult
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ControlProfileResult)
dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

profileDef
string | null

The Profile Definition of the dataset; enter "FromMetadata" if definition will be from metadata script or import file

columns
Array of object (Common.TemplateDataSetColumn)

The data set's columns

object
name
string | null
sequence
integer (int32) | null
type
string | null
role
string | null
metaLinks
Array of object (Common.TemplateDataSetMetaLink)

The data set's meta links

object
key
string | null
includeForCoverage
boolean
groupingKeyColumnRole
string
Valid values[ "Key", "Value", "Ignore" ]
valueColumnRole
string
Valid values[ "Key", "Value", "Ignore" ]
Configuration.Api.Models.v1.TemplateTestDataSetV2ControlMacro
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ControlMacro)
dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

macroReferenceKey
string | null

The data set's macro reference key

metaLinks
Array of object (Common.TemplateDataSetMetaLink)

The data set's meta links

object
key
string | null
includeForCoverage
boolean
columns
Array of object (Common.TemplateDataSetColumn)

The data set's columns

object
name
string | null
sequence
integer (int32) | null
type
string | null
role
string | null
columnJson
string | null

The data set's column JSON

columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

parameters
Array of object (Configuration.Test.DataSetConfigMacroParameter)

List of parameters used by the macro data set

object
parameterId
integer (int32)
parameterValue
string | null
Configuration.Api.Models.v1.TemplateTestDataSetV2ControlProfileAggregate
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ControlProfileAggregate)
profileDef
string | null

The Profile Definition of the dataset; enter "FromMetadata" if definition will be from metadata script or import file

aggregate
string
Valid values[ "Average", "Minimum", "Maximum", "FromMetadata" ]
window
string
Valid values[ "Days", "Weeks", "Runs", "FromMetadata" ]
windowSize
string | null

The size of the data set window; enter "FromMetadata" if definition will be from metadata script or import file

columns
Array of object (Common.TemplateDataSetColumn)

The data set's columns

object
name
string | null
sequence
integer (int32) | null
type
string | null
role
string | null
metaLinks
Array of object (Common.TemplateDataSetMetaLink)

The data set's meta links

object
key
string | null
includeForCoverage
boolean
groupingKeyColumnRole
string
Valid values[ "Key", "Value", "Ignore" ]
valueColumnRole
string
Valid values[ "Key", "Value", "Ignore" ]
Configuration.Api.Models.v1.TemplateTestDataSetV2ControlDateTimeValue
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ControlDateTimeValue)
valueType
string
Valid values[ "Absolute", "Relative", "FromMetadata" ]
columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
timeZoneKey
string | null

The time zone key of the data set; enter "FromMetadata" if value will be from metadata script or import file

relativeTargetPeriod
string
Valid values[ "CurrentDate", "FromMetadata" ]
targetValue
string | null

The target value of the data set; enter "FromMetadata" if value will be from metadata script or import file

Configuration.Api.Models.v1.TemplateTestDataSetV2ControlStringValue
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ControlStringValue)
targetValue
string | null

The target value of the data set; enter "FromMetadata" if value will be from metadata script or import file

ignoreWhitespace
boolean

Whethe the string comparison ignores whitespace characters

Configuration.Api.Models.v1.TemplateTestDataSetV2ControlNumericValue
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ControlNumericValue)
targetValue
string | null

The target value of the data set; enter "FromMetadata" if value will be from metadata script or import file

Configuration.Api.Models.v1.TemplateTestDataSetV2ControlNumericRange
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ControlNumericRange)
minValue
string | null

The minimum value of the numeric range; enter "FromMetadata" if value will be from metadata script or import file

maxValue
string | null

The maximum value of the numeric range; enter "FromMetadata" if value will be from metadata script or import file

Configuration.Api.Models.v1.TemplateTestDataSetV2ControlDateTimeRange
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ControlDateTimeRange)
rangeType
string
Valid values[ "Absolute", "Relative", "FromMetadata" ]
columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
timeZoneKey
string | null

The time zone key of the data set; enter "FromMetadata" if value will be from metadata script or import file

minRelativePeriod
string | null

The minimum relative period of the data set; enter "FromMetadata" if value will be from metadata script or import file

maxRelativePeriod
string | null

The maximum relative period of the data set; enter "FromMetadata" if value will be from metadata script or import file

minRelativeOffset
string | null

The minimum relative offset of the data set; enter "FromMetadata" if value will be from metadata script or import file

maxRelativeOffset
string | null

The maximum relative offset of the data set; enter "FromMetadata" if value will be from metadata script or import file

minAbsoluteValue
string | null

The minimum absolute value of the data set; enter "FromMetadata" if value will be from metadata script or import file

maxAbsoluteValue
string | null

The maximum absolute value of the data set; enter "FromMetadata" if value will be from metadata script or import file

Configuration.Api.Models.v1.TemplateTestDataSetV2ControlTestAggregate
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ControlTestAggregate)
aggregate
string
Valid values[ "Average", "Minimum", "Maximum", "FromMetadata" ]
window
string
Valid values[ "Days", "Weeks", "Runs", "FromMetadata" ]
windowSize
string | null

The window size of the dataset; enter "FromMetadata" if definition will be from metadata script or import file

includePriorVersions
boolean

Whether the dataset includes prior versions

isScalar
boolean

Whether the data set is scalar

qualityScoreCalculation
string | null

Custom quality score calculation; enter "FromMetadata" if number will be set by metadata script or import file

qualityScoreMethod
string
Valid values[ "AllOrNothing", "Proportional", "ProportionalWithPassOverride", "CustomCalculation", "FromMetadata" ]
columnMappingJson
string | null

JSON of custom column mapping between the test and control datasets

testDataSetColumnMappingMethod
string
Valid values[ "Automatic", "Manual" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetColumnSelection
string
Valid values[ "Name", "Position" ]
Responses
200

OK

object
message
string | null
400

Bad Request

object
error
string | null
403

Forbidden